#ifndef GRAPHICS_HPP
#define GRAPHICS_HPP
#include <GLFW/glfw3.h>

#include <iostream>
#include <string>

class ShaderProgram {
public:
  enum Base { Empty, Triangle, Polygons };
  std::string baseName();
  static Base baseFromName(std::string name);
  ShaderProgram(Base base, std::string vertexSource, std::string fragSource);
  int run(GLFWwindow* window);

protected:
  unsigned int vertex;
  unsigned int frag;
  Base base;
  unsigned int program;
};
int mainWindow(ShaderProgram* shaderProgramm, GLFWwindow* window);
GLFWwindow* initGl();
void processInput(GLFWwindow *window);
#endif
